LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XUIConfigurationManager Interface Reference

specifies a user interface configuration manager interface which controls the structure of all customizable user interface elements. More...

`import"XUIConfigurationManager.idl";`

Inheritance diagram for XUIConfigurationManager:

## Public Member Functions
void | reset ()
| resets the configuration manager to the default user interface configuration data. More...
sequence< sequence< com::sun::star::beans::PropertyValue > > | getUIElementsInfo ([in] short ElementType) raises ( com::sun::star::lang::IllegalArgumentException )
| retrieves information about all user interface elements within the user interface configuration manager. More...
::com::sun::star::container::XIndexContainer | createSettings ()
| creates an empty settings data container. More...
boolean | hasSettings ([in] string ResourceURL) raises ( com::sun::star::lang::IllegalArgumentException )
| determines if the settings of a user interface element is part the user interface configuration manager. More...
::com::sun::star::container::XIndexAccess | getSettings ([in] string ResourceURL, [in] boolean bWriteable) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::IllegalArgumentException )
| retrieves the settings of a user interface element. More...
void | replaceSettings ([in] string ResourceURL, [in] ::com::sun::star::container::XIndexAccess aNewData) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::IllegalAccessException )
| replaces the settings of a user interface element with new settings. More...
void | removeSettings ([in] string ResourceURL) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::IllegalAccessException )
| removes the settings of an existing user interface element. More...
void | insertSettings ([in] string NewResourceURL, [in] ::com::sun::star::container::XIndexAccess aNewData) raises ( com::sun::star::container::ElementExistException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::IllegalAccessException )
| inserts the settings of a new user interface element. More...
com::sun::star::uno::XInterface | getImageManager ()
| retrieves the image manager from the user interface configuration manager. More...
com::sun::star::ui::XAcceleratorConfiguration | getShortCutManager ()
| retrieves the keyboard short cut manager from the user interface configuration manager. More...
com::sun::star::uno::XInterface | getEventsManager ()
| retrieves the events manager from the user interface configuration manager. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

specifies a user interface configuration manager interface which controls the structure of all customizable user interface elements.

Since
  OOo 2.0

## Member Function Documentation

## ◆ createSettings()

::com::sun::star::container::XIndexContainer createSettings | ( |  | ) |

creates an empty settings data container.

Returns
  an empty user interface element settings data container, which implements UIElementSettings.

## ◆ getEventsManager()

com::sun::star::uno::XInterface getEventsManager | ( |  | ) |

retrieves the events manager from the user interface configuration manager.

Every user interface configuration manager has one events manager instance which controls the mapping of events to script URLs of a module or document.

Returns
  the events manager of the user interface configuration manager, if one exists.

## ◆ getImageManager()

com::sun::star::uno::XInterface getImageManager | ( |  | ) |

retrieves the image manager from the user interface configuration manager.

Every user interface configuration manager has one image manager instance which controls all images of a module or document.

Returns
  the image manager of the user interface configuration manager.

## ◆ getSettings()

::com::sun::star::container::XIndexAccess getSettings | ( | [in] string | ResourceURL,
|  | [in] boolean | bWriteable
| ) |  |
raises | ( | com::sun::star::container::NoSuchElementException,
|  | com::sun::star::lang::IllegalArgumentException
| ) |  |

retrieves the settings of a user interface element.

Parameters

  ResourceURL | a resource URL which identifies the user interface element. A resource URL must meet the following syntax: "private:resource/$type/$name. It is only allowed to use ASCII characters for type and name.
  bWriteable | must be `TRUE` if the retrieved settings should be a writable. Otherwise `FALSE` should be provided to get a shareable reference to the settings data.

Returns
  settings data of an existing user interface element, which implements UIElementSettings. If the settings data cannot be found a com::sun::star::container::NoSuchElementException is thrown. If the `ResourceURL` is not valid or describes an unknown type a com::sun::star::lang::IllegalArgumentException is thrown.

## ◆ getShortCutManager()

com::sun::star::ui::XAcceleratorConfiguration getShortCutManager | ( |  | ) |

retrieves the keyboard short cut manager from the user interface configuration manager.

Every user interface configuration manager has one keyboard short cut manager instance which controls all short cuts of a module or document.

Returns
  the short cut manager of the user interface configuration manager.

## ◆ getUIElementsInfo()

sequence< sequence< com::sun::star::beans::PropertyValue > > getUIElementsInfo | ( | [in] short | ElementType | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

retrieves information about all user interface elements within the user interface configuration manager.

Parameters

  ElementType | makes it possible to narrow the result set to only one type of user interface elements. If all user interface element types should be returned com::sun::star::ui::UIElementType::UNKNOWN must be provided.

Returns
  returns all user interface elements within the user interface configuration manager that meet the given ElementType specification.

The following com::sun::star::beans::PropertyValue entries are defined inside the sequence for every user interface element.

- ResourceURLspecifies the unique resource URL for the user interface element.
- UINamespecifies the user interface name for the user interface element. Not all user interface elements have set UIName. At least menubars do not.

See also
  UIElementType

## ◆ hasSettings()

boolean hasSettings | ( | [in] string | ResourceURL | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

determines if the settings of a user interface element is part the user interface configuration manager.

Parameters

  ResourceURL | a resource URL which identifies the user interface element. A resource URL must meet the following syntax: "private:resource/$type/$name. It is only allowed to use ASCII characters for type and name.

Returns
  `TRUE` if settings have been found, otherwise `FALSE`.

## ◆ insertSettings()

void insertSettings | ( | [in] string | NewResourceURL,
|  | [in] ::com::sun::star::container::XIndexAccess | aNewData
| ) |  |
raises | ( | com::sun::star::container::ElementExistException,
|  | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::lang::IllegalAccessException
| ) |  |

inserts the settings of a new user interface element.

Parameters

  NewResourceURL | a resource URL which identifies the new user interface element.
  aNewData | the settings data of the new user interface element, which implements UIElementSettings.

If the settings data is already present a com::sun::star::container::ElementExistException is thrown. If the `NewResourceURL` is not valid or describes an unknown type a com::sun::star::lang::IllegalArgumentException is thrown. If the configuration manager is read-only a com::sun::star::lang::IllegalAccessException is thrown.

## ◆ removeSettings()

void removeSettings | ( | [in] string | ResourceURL | ) |
raises | ( | com::sun::star::container::NoSuchElementException,
|  | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::lang::IllegalAccessException
| ) |  |

removes the settings of an existing user interface element.

Parameters

  ResourceURL | a resource URL which identifies the user interface element settings to be removed.

If the settings data cannot be found a com::sun::star::container::NoSuchElementException is thrown. If the `ResourceURL` is not valid or describes an unknown type a com::sun::star::lang::IllegalArgumentException is thrown. If the configuration manager is read-only a com::sun::star::lang::IllegalAccessException is thrown.

## ◆ replaceSettings()

void replaceSettings | ( | [in] string | ResourceURL,
|  | [in] ::com::sun::star::container::XIndexAccess | aNewData
| ) |  |
raises | ( | com::sun::star::container::NoSuchElementException,
|  | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::lang::IllegalAccessException
| ) |  |

replaces the settings of a user interface element with new settings.

Parameters

  ResourceURL | a resource URL which identifies the user interface element to be replaced. If no element with the given resource URL exists a com::sun::star::container::NoSuchElementException is thrown.
  aNewData | the new settings data of an existing user interface element, which implements UIElementSettings.

If the settings data cannot be found a com::sun::star::container::NoSuchElementException is thrown. If the `ResourceURL` is not valid or describes an unknown type a com::sun::star::lang::IllegalArgumentException is thrown. If the configuration manager is read-only a com::sun::star::lang::IllegalAccessException is thrown.

## ◆ reset()

void reset | ( |  | ) |

resets the configuration manager to the default user interface configuration data.

This means that all user interface configuration data of the instance will be removed. A module based user interface configuration manager removes user defined elements, but set all other elements back to default. It is not possible to remove default elements from a module user interface configuration manager.

The documentation for this interface was generated from the following file:

- com/sun/star/ui/XUIConfigurationManager.idl